<div class="container">
  <% unless notice.nil? %>
    <div id="notice">
      <div class="ui message icon">
        <i class="close icon"></i>
        <i class="info circle icon"></i>
        <div class="content">
          <%= notice %>
        </div>
      </div>
    </div>
  <% end %>

  <% unless @houses.empty? %>
    <table class="ui table unstackable --responsive">
      <thead>
        <tr>
          <th class="center aligned"><%= t :no_label %></th>
          <th class="center aligned"><%= t 'house.hid_label' %></th>
          <th class="center aligned"><%= t 'house.namesurvey_label' %></th>
          <th class="center aligned"><%= t 'house.positionsurvey_label' %></th>
          <th class="center aligned"><%= t 'house.house_label' %></th>
          <th class="center aligned"><%= t 'house.housestyletype_label' %></th>
          <th class="center aligned"><%= t 'house.datesurvey_label' %></th>
          <th class="center aligned"><%= t 'house.u_date' %></th>
          <th colspan="3" class="center aligned"><%= t :actions_label %></th>
        </tr>
      </thead>
      <tbody>
        <% @houses.each_with_index do |house, index| %>
          <tr>
            <td class="center aligned" data-label="<%= t :no_label %>"><%= no(@houses) + index %></td>
            <td class="center aligned" data-label="<%= t 'house.hid_label' %>"><%= house.hid %></td>
            <td data-label="<%= t 'house.namesurvey_label' %>"><%= house.namesurvey %></td>
            <td data-label="<%= t 'house.positionsurvey_label' %>"><%= house.positionsurvey %></td>
            <td data-label="<%= t 'house.house_label' %>"><%= house.house %></td>
            <td data-label="<%= t 'house.housestyletype_label' %>"><%= house_style_value(house.housestyletype) %></td>
            <td class="center aligned" data-label="<%= t 'house.datesurvey_label' %>"><%= date_format(house.datesurvey) %></td>
            <td class="center aligned" data-label="<%= t 'house.u_date' %>"><%= date_time_format(house.u_date) %></td>
            <td class="action" data-label="<%= t :actions_label %>">
              <%= link_to  community_survey_house_path(@community_survey, house), data: { tooltip: t('info_label'), position: "bottom left" }, class: "ui button --circle --submit" do %>
                <i class="info icon"></i>
              <% end %>
              <%= link_to community_survey_house_family_folders_path(@community_survey, house), data: { tooltip: t('family_folder.title_label'), position: "bottom left" }, class: "ui button --circle --submit" do %>
                <i class="ico-next-alt"></i>
              <% end %>
              <%= link_to edit_community_survey_house_path(@community_survey, house), data: { tooltip: t('edit_label'), position: "bottom left" }, class: "ui button --circle --submit" do %>
                <i class="ico-edit"></i>
              <% end %>
              <%= link_to community_survey_house_path(@community_survey, house), method: :delete, data: { confirm: t(:confirm_delete_label), tooltip: t('destroy_label'), position: "bottom right" }, class: "ui button --circle --submit" do %>
                <i class="ico-bin"></i>
              <% end %>
            </td>
          </tr>
        <% end %>
      </tbody>
    </table>
    <div class="pagination">
      <%= paginate @houses %>
    </div>
  <% else %>
    <div class="container__no-content">
      <div>
        <div class="container__no-content --icon">
          <i class="file outline icon"></i>
        </div>
        <div class="container__no-content --text"><%= t('house.title_label_not_found') %></div>
        <div class="container__no-content --button">
          <%= link_to new_community_survey_house_path, class: "ui button --icon-only" do %>
            <%= t 'house.add_label' %>
          <% end %>
        </div>
      </div>
    </div>
  <% end %>
</div>
<% content_for :menu_content_title do %>
  <div class="menuFilter-contentLeft__button">
    <button id="toggle_breadcrumb" class="ui button active --toggle">
      <i id="toggle_breadcrumb_icon" class="ellipsis vertical icon"></i>
    </button>
  </div>
  <div class="ui breadcrumb">
    <% if params[:hid].present? %>
      <%= link_to community_surveys_path(vid: params[:community_survey_id], value: params[:value]), class: 'section' do %>
        <div class="breadcrumb__label"><%= t('community_survey.title_label') %></div>
        <div class="breadcrumb__content">(<%= @community_survey.vname %>)</div>
      <% end %>
      <i class="right angle icon divider"></i>
      <div class="active section"><%= t 'house.title_label' %></div>

      <% content_for :clear_search do %>
        <%= link_to t("clear_search_label"), community_survey_houses_path(@community_survey), class: "ui button" %>
      <% end %>
    <% else %>
      <%= link_to community_surveys_path, class: 'section' do %>
        <div class="breadcrumb__label"><%= t('community_survey.title_label') %></div>
        <div class="breadcrumb__content">(<%= @community_survey.vname %>)</div>
      <% end %>
      <i class="right angle icon divider"></i>
      <div class="active section"><%= t 'house.title_label' %></div>
    <% end %>
  </div>
<% end %>
<% content_for :menu_content_link do %>
  <%= link_to new_community_survey_house_path, class: "ui button --icon-only", data: { tooltip: t('house.add_label'), position: "left center" } do %>
    <div class="icon-group">
      <i class="ico-add"></i>
      <i class="ico-home"></i>
    </div>
  <% end %>
<% end %>
